#
# spec file for package yast2-control-center (Version 2.13.12)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           yast2-control-center
Version:        2.13.12
Release:        0.4.31
License:        GPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-control-center-2.13.12.tar.bz2
Prefix:         /usr
BuildRequires:  libdrm-devel libjpeg-devel pkgconfig qt3-devel update-desktop-files yast2-devtools
Summary:        YaST2 - Control Center
Requires:       yast2 yast2-control-center-binary
Provides:       y2c_menu y2m_menu yast2-menu
Obsoletes:      y2c_menu y2m_menu yast2-menu

%description
This package contains the menu selection component for YaST2.



%package qt
License:        GPL v2 or later
Summary:        YaST2 - Control Center (Qt Version)
Requires:       yast2-control-center
Provides:       yast2-control-center-binary
Provides:       yast2-control-center:%{prefix}/lib/YaST2/bin/y2controlcenter
Supplements:    kdebase3
Group:          System/YaST

%description qt
This package contains the menu selection component for YaST2 using the
Qt toolkit.



%prep
%setup -n yast2-control-center-2.13.12

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --with-qt-dir=/usr/lib/qt3 --with-qt-libdir=/usr/lib/qt3/%{_lib} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done
%suse_update_desktop_file -G "Administrator Settings" YaST SystemSetup Core-System X-SuSE-ControlCenter-System

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
/usr/share/applications/YaST.desktop
/usr/share/pixmaps/yast.png

%files qt
%defattr(-,root,root)
%{prefix}/lib/YaST2/bin/y2controlcenter
%doc %{prefix}/share/doc/packages/yast2-control-center
%changelog
* Thu Jun  4 2009 tgoettlicher@suse.de
- Changed $XDG_CONFIG_HOME to $YAST2_DESKTOP_DIR (bnc #509891)
- V 2.13.12
* Thu Jun  4 2009 tgoettlicher@suse.de
- Added support for $XDG_CONFIG_HOME (bnc #509891)
- V 2.13.11
* Mon Mar 19 2007 sh@suse.de
- Added split-provides (bug #255368)
- V 2.13.10
* Mon Mar  5 2007 sh@suse.de
- Package split (fix for bug #240240):
  - yast2-control-center    with .desktop file and icon
  - yast2-control-center-qt with binary
- V 2.13.9
* Tue Feb 27 2007 sh@suse.de
- Reverted last change: No longer using "NotShowIn=GNOME"
  The very concept of 2 apps using one .desktop file
  is broken by design.
  See also bug #247812: No YaST2 control center in GNOME
- V 2.13.8
* Tue Feb 13 2007 sh@suse.de
- Fixed bug #240240: Added "NotShowIn=GNOME" to .desktop file
- V 2.13.7
* Mon Jan 22 2007 sh@suse.de
- Fixed bug #235796: Warning about unknown module groups
- V 2.13.6
* Mon Nov  6 2006 sh@suse.de
- Fixed bug #217247: No contrast in categories list box
- V 2.13.5
* Thu Oct 26 2006 sh@suse.de
- Fixed bug #213869: Missing ellipsis on "Search" button
- V 2.13.4
* Wed Oct 18 2006 sh@suse.de
- Implemented feature #300460: Use gettext for module names
- V 2.13.3
* Wed Oct 18 2006 sh@suse.de
- Implemented feature #300915: Increase Visibility of Search Function
* Tue May  2 2006 sreeves@suse.de
- Fix for #170702 - add to Control Center.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Nov 21 2005 sh@suse.de
- V 2.13.2
- Reduced initial window size (less empty space)
* Mon Nov 14 2005 sh@suse.de
- V 2.13.1
- Fixed bug #105481: Missing ellipsis in "Search..." menu entry
* Thu Sep  1 2005 sh@suse.de
- V 2.12.4
- Fixed bug #114707: Added missing translation markers
* Fri Jun 10 2005 sh@suse.de
- Fixed icon name in .desktop file
- V 2.12.3
* Thu May 19 2005 sh@suse.de
- Made y2cc look more like a normal Qt application
  (upon eanderson's request):
  - Removed graphical title bar
  - Removed all buttons
  - Added menus
- V 2.12.2
* Tue Apr  5 2005 sh@suse.de
- Merged 9.3-branch 21937:22910 to trunk
- V 2.12.1
* Wed Mar 16 2005 sh@suse.de
- Fixed bug #71816: date-time module doesn't start after setting localtime
- V 2.11.4
* Fri Feb 18 2005 visnov@suse.cz
- Follow "Hidden" attribute in the desktop files
- V 2.11.3
* Mon Nov 29 2004 sh@suse.de
- Fixed autobuild error: No icon installed
- V 2.11.2
* Tue Nov  2 2004 mvidner@suse.cz
- Added pkgconfig to neededforbuild.
- 2.11.1
* Wed Oct 27 2004 sh@suse.de
- Added support for LANG with country code (de_DE, zh_CN, ...),
  fall back to LANG without country (de, zh), then defaults
  (bug #47668)
* Thu Aug 26 2004 sh@suse.de
- Bumped version to 2.10.1
* Tue May  4 2004 gs@suse.de
- messages from proof reading merged back
* Fri Apr  2 2004 sh@suse.de
- License change to GPL
* Thu Apr  1 2004 sh@suse.de
- V 2.9.10
- Added black horizontal line below title bar
* Thu Mar 25 2004 sh@suse.de
- V 2.9.9
- Stole title bar layout from YQWizard (3 pics, not only 1)
* Tue Mar 23 2004 sh@suse.de
- V 2.9.8
- Moved icons to yast2-theme
- Changed icon paths to new yast2-theme paths
* Sat Mar  6 2004 arvin@suse.de
- added icon for uml installation
* Fri Mar  5 2004 arvin@suse.de
- added icon for installation into directory
* Mon Mar  1 2004 sh@suse.de
- (adrian) added symlink for icons
* Thu Feb 26 2004 msvec@suse.cz
- added power management icon (#35067)
- 2.9.4
* Thu Feb  5 2004 sh@suse.de
- V 2.9.3
- Migration to multiple .desktop files for module groups, too
  (reading /usr/share/applications/YaST2/groups/*.desktop)
* Wed Jan 14 2004 sh@suse.de
- V 2.9.2
- Migrated to .desktop files
  .y2cc files are now obsolete for YaST2 modules,
  the y2cc only needs y2cc.groups and the .desktop files
* Thu Jan  8 2004 arvin@suse.de
- dropped broken pre-start feature (bug #33860)
* Fri Sep 19 2003 adrian@suse.de
- V 2.8.10
- update babelfish icon and ldap_client icon
* Wed Sep 17 2003 sh@suse.de
- V 2.8.9
- Fixed bug #30236: Bad fullscreen geometry for some window
  managers
* Thu Sep 11 2003 adrian@suse.de
- V 2.8.8
- update icons
- call YaST with root password in menu
* Mon Sep  8 2003 arvin@suse.de
- updated icons
* Mon Sep  8 2003 arvin@suse.de
- updated icons
* Wed Sep  3 2003 sh@suse.de
- V 2.8.5
- Added .desktop file
* Tue Aug 19 2003 msvec@suse.cz
- added yast2-phone-services icons
- 2.8.4
* Tue Jun 17 2003 arvin@suse.de
- added directories to file list
* Thu Jun 12 2003 sh@suse.de
- V 2.8.2
- Removed obsolete logcontrol (unpackaged anyway)
* Fri Mar 14 2003 sh@suse.de
- New kerberos icon by Ken
* Wed Feb 19 2003 sh@suse.de
- Fixed bug #23654: Window partially invisible
* Thu Feb  6 2003 sh@suse.de
- V 2.7.1
- Added new command line options --fullscreen --noborder
- Propagate those options to child processes
* Mon Jan 13 2003 arvin@suse.de
- remotechooser.ycp and remoteinstall.ycp move to yast2 package
- use icon dsl.png for adsl and dsl
* Wed Sep  4 2002 lslezak@suse.cz
- added new backup.png and restore.png icon
- version 2.6.14
* Tue Sep  3 2002 lnussel@suse.de
- new headline icon again
- version 2.6.13
* Mon Sep  2 2002 lslezak@suse.cz
- added new powertweak.png icon
- version 2.6.12
* Thu Aug 29 2002 lnussel@suse.de
- new headline icon
* Tue Aug 27 2002 msvec@suse.cz
- proxy icon
- 2.6.9
* Mon Aug 26 2002 lslezak@suse.cz
- new icon joystick.png for yast2-sound (joystick configuration)
- version 2.6.8
* Fri Aug 23 2002 jsuchome@suse.cz
- new icon for yast2-profile-manager
* Fri Aug 16 2002 arvin@suse.de
- bind to correct textdomain
* Thu Aug 15 2002 jsuchome@suse.cz
- Merged proofread texts for the second translation round.
* Thu Jul 25 2002 arvin@suse.de
- also extract texts from C++ source files (bug #17216)
* Fri Jul 12 2002 arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
* Thu Jul  4 2002 arvin@suse.de
- move non binary file from /usr/lib/YaST2 to /usr/share/YaST2
* Mon Jun 24 2002 arvin@suse.de
- renamed to yast2-control-center from yast2-menu
* Wed Jun 12 2002 arvin@suse.de
- adapted to new command line of yast2
* Fri Apr 26 2002 arvin@suse.de
- fixed linking with qt for x86-64
* Sun Apr 14 2002 arvin@suse.de
- fixes for gcc 3.1
* Thu Mar 21 2002 lnussel@suse.de
- remove quickstart popup (#15231,#14382)
* Thu Mar 14 2002 lnussel@suse.de
- added the lost new title graphics again, this time with a
  different name (#14920)
* Fri Mar  8 2002 mike@suse.de
- new icons made by tackat
* Mon Mar  4 2002 lnussel@suse.de
- added simplifyWhiteSpace to remove LF from helptexts (#14337)
- removed some debug output (#14318)
* Wed Feb 27 2002 sh@suse.de
- V 2.5.11
- Exchanged title graphics to match new YaST2 design
* Mon Feb 25 2002 sh@suse.de
- Fixed wish #13876: Host name in window title bar
* Fri Feb 22 2002 lnussel@suse.de
- removed MountAllAgents from pre-start.ycp
- added -Q commandline switch to disable quickstart
* Mon Feb 18 2002 lnussel@suse.de
- filter out empty strings as arguments, fixes bug #13360
* Fri Feb  8 2002 lnussel@suse.de
- module arguments possible with quick start
- only strings are allowed as arguments
* Tue Feb  5 2002 mike@suse.de
- fast YaST2 start
* Fri Jan 25 2002 arvin@suse.de
- use buildroot
* Tue Jan 15 2002 lnussel@suse.de
- use multi threaded qt library if detected by configure
* Thu Jan 10 2002 lnussel@suse.de
- use qt3 if available
- auto arrange icons on window resize
* Wed Oct 10 2001 lnussel@suse.de
- added an icon to be displayed by windowmanagers (#8308)
* Fri Sep 21 2001 gs@suse.de
- new icon for Routing, icons for NFS server/client changed
* Thu Sep 20 2001 gs@suse.de
- new icons for tv card configuration, system- and startprotocol,
  keyboard, runlevel editor
* Wed Sep 19 2001 mike@suse.de
- new firewall icon
* Fri Sep 14 2001 mike@suse.de
- new icons for scanner and firewall
* Mon Sep 10 2001 lnussel@suse.de
- make get_modulesdata switch textdomain to have group names
  translated
* Wed Sep  5 2001 lnussel@suse.de
- typo .targe.size -> .target.size
* Mon Aug 27 2001 lnussel@suse.de
- fix for bug #5728: use of ngettext for plural form
* Tue Aug 21 2001 kkaempf@suse.de
- replace fileexist with SCR::Read(.targe.size, ...)
* Wed Aug  8 2001 lnussel@suse.de
- New feature sortkey for groups and modules
- Major code cleanup
* Mon Jun 18 2001 lnussel@suse.de
- Added drag and drop support
* Mon May 14 2001 lnussel@suse.de
- removed fixlocale call
- moved bindtextdomain and textdomain calls right after main
- added bind_textdomain_codeset("menu","UTF-8") to fix captions
  in windowmanagers
* Fri May 11 2001 gs@suse.de
- new icons for Update and Online-Update ( bug # 7518 )
- icons Create user and Create groups added
* Fri May 11 2001 kkaempf@suse.de
- added "babelfish.png" icon
* Tue May  8 2001 mike@suse.de
- new icons, configurable startup size for modules
* Mon Apr 30 2001 sh@suse.de
- Fix for bug #7358: No Umlauts in Y2CC
  always use UTF-8 locale
  V 2.3.9
* Mon Apr 30 2001 kkaempf@suse.de
- new icon for timezone
* Thu Apr 26 2001 gs@suse.de
- new icon for network and Patch CD Update
* Thu Apr 26 2001 lnussel@suse.de
- `geometry from menuentry now passed as env. Variable
  Y2_GEOMETRY to /sbin/yast2
* Wed Apr 25 2001 kkaempf@suse.de
- move menu.ycp to package yast2 (#7168)
* Thu Apr 19 2001 gs@suse.de
- new icons for group misc and network advanced
* Tue Apr 17 2001 gs@suse.de
- group System added and group Network splitted
* Thu Apr 12 2001 kkaempf@suse.de
- rename y2m_menu -> yast2-menu
* Thu Jan 25 2001 mike@suse.de
- menulogo.png deleted, not needed anymore
* Mon Jan 22 2001 kkaempf@suse.de
- compile with -O0 on AXP, gcc bug workaround
* Fri Jan 19 2001 mike@suse.de
- new icons
* Mon Jan 15 2001 mike@suse.de
- bug 5490 Multiple clicks onto help causes problems
* Sat Jan 13 2001 mike@suse.de
- new icons
* Wed Jan  3 2001 mike@suse.de
- new icons, little fixes
  The modules REMOTE-INSTALL and REMOTE-ADMIN are not available any more
* Thu Dec 14 2000 kkaempf@suse.de
- fix specfile
* Thu Dec 14 2000 kkaempf@suse.de
- fix EXTRA_DIST in src/Makefile.am
* Thu Dec 14 2000 kkaempf@suse.de
- put gpp and qt into neededforbuild
* Wed Dec 13 2000 mike@suse.de
- NEW NICE YaST2 Module Starter: "Yast2 Control Center"
* Mon Dec  4 2000 kkaempf@suse.de
- switch to bz2 packaging
* Tue Nov 21 2000 kkaempf@suse.de
- use target agent
* Fri Jul 14 2000 kkaempf@suse.de
- removed non-working logcontrol
  version 2.0.4
* Thu Jul 13 2000 kkaempf@suse.de
- Requires: y2t_menu
  version 2.0.3
* Thu Jul  6 2000 sh@suse.de
- Removed option `immediate from SelectionBox (unnecessary and
  nonexistent)
- version 2.0.2
* Thu Jun 29 2000 kkaempf@suse.de
- make module list wider, select "Welcome" as default
  version 2.0.1
* Mon May 22 2000 kkaempf@suse.de
- fix filelist in .spec file
* Thu May 18 2000 kkaempf@suse.de
- initial version based on YaST2 (6.4 - i386)
